## python-rjsmin 1.0.12%2Bdfsg1

=== debian/changelog ===
python-rjsmin (1.0.12+dfsg1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Added debian/source.lintian-overrides.

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Fix typo on long desc (Closes: #839685).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2016 10:43:35 +0100

python-rjsmin (1.0.12+dfsg1-2) unstable; urgency=medium

  * Added missing build-depends: openstack-pkg-tools (Closes: #808886).

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Dec 2015 09:11:00 +0000

python-rjsmin (1.0.12+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #808800)

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Dec 2015 10:50:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/ndparker/rjsmin.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-rjsmin; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-rjsmin; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*/usr/share/doc/rjsmin*

#override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
#		python$$pyvers setup.py test ; \
#	done
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-rjsmin 1.0.12+dfsg1

=== docs/DESCRIPTION ===
=====================
 Javascript Minifier
=====================

rJSmin is a javascript minifier written in python.

The minifier is based on the semantics of `jsmin.c by Douglas Crockford`_\.

The module is a re-implementation aiming for speed, so it can be used at
runtime (rather than during a preprocessing step). Usually it produces the
same results as the original ``jsmin.c``. It differs in the following ways:

- there is no error detection: unterminated string, regex and comment
  literals are treated as regular javascript code and minified as such.
- Control characters inside string and regex literals are left untouched; they
  are not converted to spaces (nor to \n)
- Newline characters are not allowed inside string and regex literals, except
  for line continuations in string literals (ECMA-5).
- "return /regex/" is recognized correctly.
- Line terminators after regex literals are handled more sensibly
- "+ +" and "- -" sequences are not collapsed to '++' or '--'
- Newlines before ! operators are removed more sensibly
- Comments starting with an exclamation mark (``!``) can be kept optionally
- rJSmin does not handle streams, but only complete strings. (However, the
  module provides a "streamy" interface).

Since most parts of the logic are handled by the regex engine it's way faster
than the original python port of ``jsmin.c`` by Baruch Even. The speed factor
varies between about 6 and 55 depending on input and python version (it gets
faster the more compressed the input already is).  Compared to the
speed-refactored python port by Dave St.Germain the performance gain is less
dramatic but still between 3 and 50 (for huge inputs)). See the
docs/BENCHMARKS file for details.

rjsmin.c is a reimplementation of rjsmin.py in C and speeds it up even more.

Both python 2 (>=2.4) and python 3 are supported.

.. _jsmin.c by Douglas Crockford: http://www.crockford.com/javascript/jsmin.c


Copyright and License
~~~~~~~~~~~~~~~~~~~~~

Copyright 2011 - 2015
André Malo or his licensors, as applicable.

The whole package (except for the files in the bench/ directory) is
distributed under the Apache License Version 2.0. You'll find a copy in the
root directory of the distribution or online at:
<http://www.apache.org/licenses/LICENSE-2.0>.


Bugs
~~~~

No bugs, of course. ;-)
But if you've found one or have an idea how to improve rjsmin, feel free
to send a pull request on `github <https://github.com/ndparker/rjsmin>`_
or send a mail to <rjsmin-bugs@perlig.de>.


Author Information
~~~~~~~~~~~~~~~~~~

André "nd" Malo <nd perlig.de>
GPG: 0x8103A37E


    If God intended people to be naked, they would be born that way.
    -- Oscar Wilde

.. vim:tw=72 syntax=rest

=== _setup/docs/DESCRIPTION ===
=============
 Setup Tools
=============

The setup tools are used to simplify the development and distribution of
python projects. The stuff found in this package has been collected over the
time and finally been separated into its own package. It's a neverending
task nevertheless...


Copyright and License
~~~~~~~~~~~~~~~~~~~~~

Copyright 2005 - 2014
André Malo or his licensors, as applicable.

The whole package is distributed under the Apache License Version 2.0.
You'll find a copy in the root directory of the distribution or online
at: <http://www.apache.org/licenses/LICENSE-2.0>.


Bugs
~~~~

No bugs, of course. ;-)
But if you've found one or have an idea how to improve the setup tools, please
send a mail to <setup-bugs@perlig.de>.


Author Information
~~~~~~~~~~~~~~~~~~

André "nd" Malo <nd perlig.de>
GPG: 0x8103A37E


    If God intended people to be naked, they would be born that way.
    -- Oscar Wilde

.. vim:tw=72 syntax=rest

=== debian/changelog ===
python-rjsmin (1.0.12+dfsg1-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable benchmark tests for some level of unit testing:
      - d/rules: Execute benchmarks for all python versions against a
        selection of js files.
      - d/p/skip-jsmin-bench.patch: Disable jsmin benchmark as excluded
        from source.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Feb 2019 11:51:51 -0800

python-rjsmin (1.0.12+dfsg1-2ubuntu5) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:09:50 +0000

python-rjsmin (1.0.12+dfsg1-2ubuntu4) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:55:16 +0000

python-rjsmin (1.0.12+dfsg1-2ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:38:45 +1200

python-rjsmin (1.0.12+dfsg1-2ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:54:28 +1200

python-rjsmin (1.0.12+dfsg1-2ubuntu1) xenial; urgency=medium

  * Enable benchmark tests for some level of unit testing:
    - d/rules: Execute benchmarks for all python versions against a
      selection of js files.
    - d/p/skip-jsmin-bench.patch: Disable jsmin benchmark as excluded
      from source.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Mar 2016 15:54:27 +0000

python-rjsmin (1.0.12+dfsg1-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:37 +0000

=== debian/control ===
Source: python-rjsmin
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all-dev,
               python-setuptools,
               python3-all-dev,
               python3-setuptools,
               python3-chardet,
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-rjsmin?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-rjsmin -b debian/newton
Homepage: http://opensource.perlig.de/rjsmin/

Package: python-rjsmin
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: javascript minifier written in Python - Python 2.7
 rJSmin is a javascript minifier written in Python. The minifier is based on
 the semantics of jsmin.c by Douglas Crockford.
 .
 The module is a re-implementation aiming for speed, so it can be used at
 runtime (rather than during a preprocessing step). Usually it produces the
 same results as the original jsmin.c. It differs in the following ways:
 .
  - there is no error detection: unterminated string, regex and comment
    literals are treated as regular javascript code and minified as such.
  - Control characters inside string and regex literals are left untouched; they
    are not converted to spaces (nor to CR)
  - Newline characters are not allowed inside string and regex literals, except
    for line continuations in string literals (ECMA-5).
  - "return /regex/" is recognized correctly.
  - Line terminators after regex literals are handled more sensibly
  - "+ +" and "- -" sequences are not collapsed to '++' or '--'
  - Newlines before ! operators are removed more sensibly
  - Comments starting with an exclamation mark (!) can be kept optionally
  - rJSmin does not handle streams, but only complete strings. (However, the
    module provides a "streamy" interface).
 .
 Since most parts of the logic are handled by the regex engine it's way faster
 than the original Python port of jsmin.c by Baruch Even. The speed factor
 varies between about 6 and 55 depending on input and Python version (it gets
 faster the more compressed the input already is).  Compared to the
 speed-refactored Python port by Dave St.Germain the performance gain is less
 dramatic but still between 3 and 50 (for huge inputs)). See the
 docs/BENCHMARKS file for details.
 .
 This package contains the Python 2.7 module.

Package: python3-rjsmin
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: javascript minifier written in Python - Python 3.x
 rJSmin is a javascript minifier written in Python. The minifier is based on
 the semantics of jsmin.c by Douglas Crockford.
 .
 The module is a re-implementation aiming for speed, so it can be used at
 runtime (rather than during a preprocessing step). Usually it produces the
 same results as the original jsmin.c. It differs in the following ways:
 .
  - there is no error detection: unterminated string, regex and comment
    literals are treated as regular javascript code and minified as such.
  - Control characters inside string and regex literals are left untouched; they
    are not converted to spaces (nor to CR)
  - Newline characters are not allowed inside string and regex literals, except
    for line continuations in string literals (ECMA-5).
  - "return /regex/" is recognized correctly.
  - Line terminators after regex literals are handled more sensibly
  - "+ +" and "- -" sequences are not collapsed to '++' or '--'
  - Newlines before ! operators are removed more sensibly
  - Comments starting with an exclamation mark (!) can be kept optionally
  - rJSmin does not handle streams, but only complete strings. (However, the
    module provides a "streamy" interface).
 .
 Since most parts of the logic are handled by the regex engine it's way faster
 than the original Python port of jsmin.c by Baruch Even. The speed factor
 varies between about 6 and 55 depending on input and Python version (it gets
 faster the more compressed the input already is).  Compared to the
 speed-refactored Python port by Dave St.Germain the performance gain is less
 dramatic but still between 3 and 50 (for huge inputs)). See the
 docs/BENCHMARKS file for details.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,20 @@
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
+ARCH:=$(shell dpkg-architecture -qDEB_TARGET_GNU_CPU)
+OS:=$(shell dpkg-architecture -qDEB_TARGET_ARCH_OS)
 
 UPSTREAM_GIT := https://github.com/ndparker/rjsmin.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
+
+
+override_dh_auto_build:
+	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
+		python$$pyvers setup.py build --force; \
+	done
 
 override_dh_auto_install:
 	set -e ; for pyvers in $(PYTHONS); do \
@@ -21,12 +29,15 @@
 	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*/usr/share/doc/rjsmin*
 
-#override_dh_auto_test:
-#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
-#		python$$pyvers setup.py test ; \
-#	done
-#endif
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	env
+	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
+		PYTHONPATH=$(CURDIR):$(CURDIR)/build/lib.$(OS)-$(ARCH)-$$pyvers python$$pyvers \
+			bench/main.py bench/bootstrap.js  bench/DateTimeShortcuts.js  bench/jquery-1.7.1.js \
+						  bench/knockout-2.0.0.js  bench/markermanager.js; \
+	done
+endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils

## python-rjsmin 1.1.0%2Bdfsg1

=== debian/changelog ===
python-rjsmin (1.1.0+dfsg1-3build6) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:04:14 +0000

python-rjsmin (1.1.0+dfsg1-3build5) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:59:14 +0000

python-rjsmin (1.1.0+dfsg1-3build4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:14 +0200

python-rjsmin (1.1.0+dfsg1-3build3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:43:32 +0100

python-rjsmin (1.1.0+dfsg1-3build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:55:14 +0200

python-rjsmin (1.1.0+dfsg1-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:24:07 +0100

python-rjsmin (1.1.0+dfsg1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:20:30 +0200

python-rjsmin (1.1.0+dfsg1-2) experimental; urgency=medium

  * Add build time testing, thanks to Steve Langasek and James Page
    (Closes: #922077).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 17:25:44 +0200

python-rjsmin (1.1.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 15:14:29 +0200

python-rjsmin (1.0.12+dfsg1-5) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Drop Python 2 support (Closes: #938146).
  * Bump debhelper compat level to 12.
  * Enable autopkgtest-pkg-python testsuite.
  * d/copyright: Reorder.
  * d/source.lintian-overrides -> d/source/lintian-overrides.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports

 -- Ondřej Nový <onovy@debian.org>  Mon, 02 Sep 2019 10:36:35 +0200

## python-rjsmin 1.1.0+dfsg1

=== docs/DESCRIPTION ===
--- 
+++ 
@@ -17,9 +17,11 @@
 - Newline characters are not allowed inside string and regex literals, except
   for line continuations in string literals (ECMA-5).
 - "return /regex/" is recognized correctly.
+- More characters are allowed before regexes.
 - Line terminators after regex literals are handled more sensibly
 - "+ +" and "- -" sequences are not collapsed to '++' or '--'
 - Newlines before ! operators are removed more sensibly
+- (Unnested) template literals are supported (ECMA-6)
 - Comments starting with an exclamation mark (``!``) can be kept optionally
 - rJSmin does not handle streams, but only complete strings. (However, the
   module provides a "streamy" interface).
@@ -34,7 +36,7 @@
 
 rjsmin.c is a reimplementation of rjsmin.py in C and speeds it up even more.
 
-Both python 2 (>=2.4) and python 3 are supported.
+Supported python versions are 2.7 and 3.4+.
 
 .. _jsmin.c by Douglas Crockford: http://www.crockford.com/javascript/jsmin.c
 
@@ -42,7 +44,7 @@
 Copyright and License
 ~~~~~~~~~~~~~~~~~~~~~
 
-Copyright 2011 - 2015
+Copyright 2011 - 2019
 André Malo or his licensors, as applicable.
 
 The whole package (except for the files in the bench/ directory) is

=== tests/requirements.txt ===
# Requirements file for tests

pytest == 4.3.0
pytest-cov == 2.6.1
pytest-mock == 1.10.1

=== debian/control ===
Source: python-rjsmin
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all-dev,
 python3-chardet,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rjsmin
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rjsmin.git
Homepage: http://opensource.perlig.de/rjsmin/
Testsuite: autopkgtest-pkg-python

Package: python3-rjsmin
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: javascript minifier written in Python - Python 3.x
 rJSmin is a javascript minifier written in Python. The minifier is based on
 the semantics of jsmin.c by Douglas Crockford.
 .
 The module is a re-implementation aiming for speed, so it can be used at
 runtime (rather than during a preprocessing step). Usually it produces the
 same results as the original jsmin.c. It differs in the following ways:
 .
  - there is no error detection: unterminated string, regex and comment
    literals are treated as regular javascript code and minified as such.
  - Control characters inside string and regex literals are left untouched; they
    are not converted to spaces (nor to CR)
  - Newline characters are not allowed inside string and regex literals, except
    for line continuations in string literals (ECMA-5).
  - "return /regex/" is recognized correctly.
  - Line terminators after regex literals are handled more sensibly
  - "+ +" and "- -" sequences are not collapsed to '++' or '--'
  - Newlines before ! operators are removed more sensibly
  - Comments starting with an exclamation mark (!) can be kept optionally
  - rJSmin does not handle streams, but only complete strings. (However, the
    module provides a "streamy" interface).
 .
 Since most parts of the logic are handled by the regex engine it's way faster
 than the original Python port of jsmin.c by Baruch Even. The speed factor
 varies between about 6 and 55 depending on input and Python version (it gets
 faster the more compressed the input already is).  Compared to the
 speed-refactored Python port by Dave St.Germain the performance gain is less
 dramatic but still between 3 and 50 (for huge inputs)). See the
 docs/BENCHMARKS file for details.
 .
 This package contains the Python 3.x module.

## python-rjsmin 1.2.0%2Bdfsg1

=== docs/DESCRIPTION ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 rjsmin.c is a reimplementation of rjsmin.py in C and speeds it up even more.
 
-Supported python versions are 2.7 and 3.4+.
+Supported python versions are 2.7 and 3.6+.
 
 .. _jsmin.c by Douglas Crockford: http://www.crockford.com/javascript/jsmin.c
 
@@ -44,7 +44,7 @@
 Copyright and License
 ~~~~~~~~~~~~~~~~~~~~~
 
-Copyright 2011 - 2019
+Copyright 2011 - 2021
 André Malo or his licensors, as applicable.
 
 The whole package (except for the files in the bench/ directory) is
@@ -66,7 +66,7 @@
 ~~~~~~~~~~~~~~~~~~
 
 André "nd" Malo <nd perlig.de>
-GPG: 0x8103A37E
+GPG: 0x029C942244325167
 
 
     If God intended people to be naked, they would be born that way.

## python-rjsmin 1.2.0+dfsg1

=== tests/requirements.txt ===
# Requirements file for tests

pytest < 5.0.0; python_version < '3.0'
pytest == 6.2.5; python_version >= '3.0'
pytest-cov == 2.12.1; python_version < '3.6'
pytest-cov == 3.0.0; python_version >= '3.6'
coverage ~= 6.1.1; python_version >= '3.6'
coverage ~= 5.5; python_version < '3.6'

pytest-mock == 3.6.1; python_version >= '3.5'
pytest-mock == 1.12.1; python_version < '3.5'

=== debian/changelog ===
python-rjsmin (1.2.0+dfsg1-2build7) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:11:26 +0000

python-rjsmin (1.2.0+dfsg1-2build6) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:22:38 +0000

python-rjsmin (1.2.0+dfsg1-2build5) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:05:01 +0100

python-rjsmin (1.2.0+dfsg1-2build4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:40 +0200

python-rjsmin (1.2.0+dfsg1-2build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:52:31 +0000

python-rjsmin (1.2.0+dfsg1-2build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:40:50 -0500

python-rjsmin (1.2.0+dfsg1-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 11:10:29 +0000

python-rjsmin (1.2.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:50:21 +0100

python-rjsmin (1.2.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Feb 2022 15:31:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ndparker/rjsmin.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=rjsmin

ARCH:=$(shell dpkg-architecture -qDEB_TARGET_GNU_CPU)
OS:=$(shell dpkg-architecture -qDEB_TARGET_ARCH_OS)

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python*/usr/share/doc/rjsmin*

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	env
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR):$(CURDIR)/build/lib.$(OS)-$(ARCH)-$$pyvers python$$pyvers \
			bench/main.py bench/bootstrap.js  bench/DateTimeShortcuts.js  bench/jquery-1.7.1.js \
				bench/knockout-2.0.0.js  bench/markermanager.js; \
	done
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/",dversionmangle=s/\+dfsg\d// \
https://github.com/ndparker/rjsmin/tags .*/(\d[\d\.]+)\.tar\.gz

## python-rjsmin 1.2.2+dfsg1

=== debian/changelog ===
python-rjsmin (1.2.2+dfsg1-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Wed, 27 Aug 2025 14:20:26 +0000

python-rjsmin (1.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 16:14:50 +0200

## python-rjsmin 1.2.5+dfsg1

=== debian/changelog ===
python-rjsmin (1.2.5+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased skip-jsmin-bench.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 09:43:48 +0100
